/*

menus.hh

Main menubar for laidback

*/


#ifndef MENUS_HH
#define MENUS_HH

#include <qwidget.h>
#include <qmenubar.h>
#include <qlabel.h>

class MainMenuBar : public QWidget
{
  Q_OBJECT ;

  QMenuBar *menu ;
  QLabel   *label ;

 public slots:
 void openItem () { emit openDocument () ; }
  void closeItem () { emit closeThis () ; }
  void quitItem () {emit quitApp () ; } 
  void applWin () { emit newApplWin () ; }

protected:
  
  
signals:
  void quitApp () ;
  void openDocument () ;
  void newApplWin () ;
  void closeThis () ;

public:
  MainMenuBar (QWidget *parent=0, const char *name=0) ;
  
} ;

#endif // MENUS_HH
